Customers
List customers
Retrieve a paginated list of customers with filtering, search, and ordering capabilities.
GET
/
public
/
v2
/
customers
/
List customers
curl --request GET \
--url https://api.dualentry.com/public/v2/customers/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.dualentry.com/public/v2/customers/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.dualentry.com/public/v2/customers/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 123,
"full_address": {
"street": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "",
"country": "",
"second_line": "",
"name": "<string>"
},
"shipping_address": {
"street": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "",
"country": "",
"second_line": "",
"name": "<string>"
},
"name": "<string>",
"unique_id": "<string>",
"email": "<string>",
"website": "<string>",
"customer_type": "<string>",
"is_active": true,
"phone": "<string>",
"custom_fields": [],
"created_by": {
"actor_type": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"updated_by": {
"actor_type": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"approval_status": "<string>",
"next_approvers": [
{
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"full_name": "<string>",
"avatar_url": "<string>"
}
],
"rejected_by": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"full_name": "<string>",
"rejection_reason": "<string>"
}
}
],
"count": 123
}{
"errors": {},
"success": false
}{
"errors": {},
"success": false
}Authorizations
Query Parameters
Available options:
draft, posted, archived Number of records to return per page (capped at 100)
Required range:
x >= 1Number of records to skip before starting to return results
Required range:
x >= 0Last modified on July 13, 2026
Was this page helpful?
⌘I
List customers
